import CoEuiSlideToggle from '../../../../components/10x/eui/eui-slide-toggle.js'
import EuiBasePage from '../eui-base.po.js'

export default class EuiSlideTogglePage extends EuiBasePage {

  constructor() {
      super();
  }
  slideToggleByIndex(index) {
    return  new CoEuiSlideToggle(this.mainContent).byIndex(index);
  }
  slideToggleFromSectionById(id) {
    return new CoEuiSlideToggle(this.sectionById(id));
  }
  slideToggleFromSectionByIndex(id, index) {
    return new CoEuiSlideToggle(this.sectionById(id)).byIndex(index);
  }
}


